# $Revision: 1.22 $, $Date: 2007-11-09 12:02:07 $
#
# TODO:
# - investigate the strange Make.common file
# - find a way to make it run in privileged mode without sudo
#   (maybe some group of permissions for people who are allowed to change
#   the cpufreq and so on)
# - use kdepackage-template.spec as base
#
Summary:	Systray KDE powersave icon
Summary(de.UTF-8):	KDE Powersave Tray Ikone
Summary(pl.UTF-8):	Ikona oszczędzania energii dla zasobnika KDE
Name:		kpowersave
Version:	0.7.3
Release:	2
License:	GPL v2+
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/powersave/%{name}-%{version}.tar.bz2
# Source0-md5:	061cb55774ebac15549a1e7affa87827
Patch0:		kde-ac260-lt.patch
URL:		http://powersave.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1.6.1
BuildRequires:	dbus-devel >= 0.33
BuildRequires:	dbus-qt-devel >= 0.70
BuildRequires:	hal-devel >= 0.5.4
BuildRequires:	kdelibs-devel >= 9:3.2.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	xorg-lib-libXScrnSaver-devel
BuildRequires:	xorg-proto-scrnsaverproto-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Systray KDE powersave icon.

%description -l de.UTF-8
KDE Powersave Tray Ikone.

%description -l pl.UTF-8
Ikona oszczędzania energii dla zasobnika KDE.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub admin
%{__make} -f admin/Makefile.common cvs
%configure \
%if "%{_lib}" == "lib64"
	--enable-libsuffix=64 \
%endif
	--%{?debug:en}%{!?debug:dis}able-debug%{?debug:=full} \
	--with-qt-libraries=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{sl_SI,sl}

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_libdir}/libkdeinit_kpowersave.so
%{_libdir}/libkdeinit_kpowersave.la
%attr(755,root,root) %{_libdir}/kde3/kpowersave.so
%{_libdir}/kde3/kpowersave.la
%{_datadir}/apps/kpowersave
%{_datadir}/autostart/kpowersave-autostart.desktop
%{_datadir}/config/kpowersaverc
%{_desktopdir}/kde/kpowersave.desktop
%{_iconsdir}/hicolor/*/apps/kpowersave.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kpowersave.spec,v $
Revision 1.22  2007-11-09 12:02:07  arekm
- rel 2; powersave daemon not needed at all; kpowersave talks now to hal via dbus

Revision 1.21  2007/11/05 13:59:55  arekm
- up to 0.7.3

Revision 1.20  2007/05/26 18:35:06  arekm
R: powersave

Revision 1.19  2007/04/23 13:23:27  arekm
- up to 0.7.2

Revision 1.18  2007/04/23 11:07:46  arekm
- rel 3

Revision 1.17  2007/04/15 17:49:31  qboosh
- fix sl locale dir instead of removing

Revision 1.16  2007/04/15 12:49:09  arekm
- drop sl_SI; rel 2

Revision 1.15  2007/04/05 21:25:53  shadzik
- unify build process
- added ac260,ac260-lt and am patches
- rel 1

Revision 1.14  2007/02/13 06:46:49  glen
- tabs in preamble

Revision 1.13  2007/02/12 00:49:01  baggins
- converted to UTF-8

Revision 1.12  2006/08/21 06:38:40  arekm
- require proper dbus-qt

Revision 1.11  2006/07/03 07:39:51  shadzik
- up to 0.6.2

Revision 1.10  2006/05/18 20:22:49  shadzik
- de
- group upgrade

Revision 1.9  2006/05/18 20:16:34  shadzik
- up to 0.6.1

Revision 1.8  2006/04/11 20:00:12  rotom
- up 0.6.0

Revision 1.7  2006/03/31 20:34:42  rotom
- up to 0.5.11
- BR added

Revision 1.6  2006/03/15 16:20:13  czarny
- BR: xorg-proto-scrnsaverproto-devel
- BR: xorg-lib-libXScrnSaver-devel
- thized

Revision 1.5  2006/02/26 21:48:14  rotom
- up to 0.5.8

Revision 1.4  2006/02/19 15:43:43  qboosh
- fixed build

Revision 1.3  2006/02/19 14:49:16  qboosh
- descs

Revision 1.2  2006/02/16 23:39:45  glen
- en
- template junk removed
- restored changelog
